Error since ImageMagick 6.7.7-10 2016-11-29

Post any defects you find in the released or beta versions of the ImageMagick software here. Include the ImageMagick version, OS, and any command-line required to reproduce the problem. Got a patch for a bug? Post it here.
Post Reply
Dombi
Posts: 12
Joined: 2015-03-19T02:36:45-07:00
Authentication code: 6789

Error since ImageMagick 6.7.7-10 2016-11-29

Post by Dombi » 2016-12-07T13:21:17-07:00

Hello,

I use a grat system for design your own napkins here:
http://www.servietten-deko.de/serviette ... .php#start

Since the last update to 6.7.7-10 2016-11-29 my text creating dont work. Try to use write a text.

What can I do?

There are no PHP errors. Can I show Imagick errors? There are many convert lines.

PS: Sorry for my bad english.

User avatar
glennrp
Posts: 1147
Joined: 2006-04-01T08:16:32-07:00
Location: Maryland 39.26.30N 76.16.01W

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by glennrp » 2016-12-07T13:31:19-07:00

Don't let the date 2016-11-29 fool you. That's the date you installed your copy. ImageMagick-6.7.7-10 was released 2012-06-28.

Dombi
Posts: 12
Joined: 2015-03-19T02:36:45-07:00
Authentication code: 6789

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by Dombi » 2016-12-07T13:38:39-07:00

thats the info from phpinfo.

Oh. How can I find the error in my system?

Thank you a lot

User avatar
fmw42
Posts: 25664
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by fmw42 » 2016-12-07T14:56:00-07:00

I would avoid that version and get something at least at 6.8.5.x or better the current version. There have been problem reports about that version and IM was undergoing some major changes to colorspace and grayscale. See viewtopic.php?f=4&t=21269

Dombi
Posts: 12
Joined: 2015-03-19T02:36:45-07:00
Authentication code: 6789

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by Dombi » 2016-12-08T05:53:23-07:00

My hoster told me that I can chance the a Server with imagick 6.8.9-9. Do you think that will be the solution of my problem? Or must I update the complete code then?

Thank you.

User avatar
fmw42
Posts: 25664
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by fmw42 » 2016-12-08T10:07:59-07:00

Can I show Imagick errors? There are many convert lines.
Perhaps you should provide your code.

Are you using PHP exec() or Imagick for you Imagemagick code. If the former, then you can get IM error messages, by

Code: Select all

<?php
exec("$path2im/convert $cmd $output 2>&1", $out, $returnval);
foreach($out as $text)
{echo "$text<br>";}
?>
where $cmd is your convert command without the convert

User avatar
fmw42
Posts: 25664
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by fmw42 » 2016-12-08T10:09:07-07:00

Dombi wrote:My hoster told me that I can chance the a Server with imagick 6.8.9-9. Do you think that will be the solution of my problem? Or must I update the complete code then?

Thank you.
I would first try to find out why it fails.

Perhaps you should provide your code, and input image and your result (if any).

Dombi
Posts: 12
Joined: 2015-03-19T02:36:45-07:00
Authentication code: 6789

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by Dombi » 2016-12-08T11:35:28-07:00

I only use code like

Code: Select all

system('convert -depth '.$this->imagedepth.' -density '.$this->dpi.' -units pixelsperinch -background transparent -gravity '.$this->gravity.' -fill "#'.$this->fore.'" -font '.$this->font.' -stroke none -pointsize '.$this->size.' label:"'.$this->msg.'" '.WWW_ROOT.IMAGES_URL.'editorimages/'.$pngName);
With pictures all worked fine.

Is there a chance to see errors?

User avatar
fmw42
Posts: 25664
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by fmw42 » 2016-12-08T12:11:34-07:00

try this

Code: Select all

<?php
exec('convert -depth '.$this->imagedepth.' -density '.$this->dpi.' -units pixelsperinch -background transparent -gravity '.$this->gravity.' -fill "#'.$this->fore.'" -font '.$this->font.' -stroke none -pointsize '.$this->size.' label:"'.$this->msg.'" '.WWW_ROOT.IMAGES_URL.'editorimages/'.$pngName 2>&1', $out, $returnval);
foreach($out as $text)
{echo "$text<br>";}
?>
Does that list an errors?

aegir
Posts: 10
Joined: 2016-12-04T16:41:25-07:00
Authentication code: 1151

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by aegir » 2016-12-08T12:45:51-07:00

6.7.7-10 2016-11-29
By the date 2016-11-29 I recognize this is probably the same bug that I reported here https://www.imagemagick.org/discourse-s ... =3&t=30989. It seems to be an error in the backport of recent security fixes to older Ubuntu LTS systems.

If you have root access to the (Ubuntu/Mint) system then you can fix this by downgrading to the previous version of libmagickcore5 by issuing a command such as

Code: Select all

sudo dpkg --install /var/cache/apt/archives/libmagickcore5_8%3a6.7.7.10-6ubuntu3.2_amd64.deb
However, this may introduce a certain security risk.

Dombi
Posts: 12
Joined: 2015-03-19T02:36:45-07:00
Authentication code: 6789

Re: Error since ImageMagick 6.7.7-10 2016-11-29

Post by Dombi » 2016-12-11T10:04:02-07:00

Hi,
my Hoster give me a server with 6.8.9-9. Now alle works fine.

The version 6.7.7-10 is a bad version :-)

Thank you all

Post Reply